# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'helix_web_services_client/version'

Gem::Specification.new do |spec|
  spec.name          = 'helix_web_services_client'
  spec.version       = HelixWebServicesClient::VERSION
  spec.authors       = ['Tristan Juricek']
  spec.email         = ['mr.tristan@gmail.com']

  spec.summary       = %q{Ruby Client to Helix Web Services}
  spec.description   = %q{Client SDK for Ruby applications that access the Helix Web Services server.}
  spec.homepage      = 'https://swarm.workshop.perforce.com/projects/perforce-software-helix-web-services/'

  spec.files         = Dir['lib/**/*'] +
      %w(
      Gemfile
      helix_web_services_client.gemspec
      Rakefile
      README.md
    )
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.8'
  spec.add_development_dependency 'p4ruby', '~> 2015.1'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'yard', '~> 0.8'

  spec.add_runtime_dependency 'faraday', '~> 0.9'
  spec.add_runtime_dependency 'faraday_middleware', '~> 0.9'

end
