require 'sinatra/base'

require 'hws_settings'

module Config
  class App < Sinatra::Base

    get '/config/v1/services' do
      if File.exist?(HWSSettings.system.SERVICE_CONFIGURATION)
        IO.read(HWSSettings.system.SERVICE_CONFIGURATION)
      else
        [].to_json
      end
    end
  end
end