# Copyright (c) 2015 Perforce Software, Inc.  All rights reserved.
require 'helix_versioning_engine/app'

module HelixVersioningEngine

  # p4d doesn't return empty results on user '-o' commands, it returns results
  # where the email address is set to 'user@INVALID'
  def self.invalid_user_email?(results, user)
    results.any? do |h|
      h['Email'] == "#{user}@INVALID"
    end
  end


end

