# Use this to initialize our HVEProjectService implementation.
require 'helix_versioning_engine/hve_projects_service'

Projects::ProjectService.append_to_list << lambda do |details, extension, env|
  if env['hws_settings'].HVE_PROJECTS_PATH
    hve_projects = HelixVersioningEngine::HVEProjectsService.new(env: env)
    return hve_projects.list(details: details, extension: extension)
  end
end

Projects::ProjectService.fetch_project << lambda do |id, env|
  if env['hws_settings'].HVE_PROJECTS_PATH
    hve_projects = HelixVersioningEngine::HVEProjectsService.new(env: env)
    return hve_projects.fetch(id)
  end
end