module Projects
  module Errors
    # This should be used as a base class for specific kinds of structural
    # issues by different project extensions.
    #
    # In general, a before_create handler should probably throw one of these
    # if it finds something it doesn't like.
    class IllegalProjectStructure < StandardError
    end
  end
end