name 'helix_web_services_client'

dependency 'ruby'
dependency 'bundler'

#
# This Omnibus definition expects to be a part of a distribution that includes
# Helix Web Services locally.
#
source :path => File.absolute_path('../../../../../helix_web_services_client', __FILE__)

build do
  env = with_standard_compiler_flags(with_embedded_path)

  # Typical conventions of bundle groups. We may not need these but TestKitchen
  # might end up getting used.
  bundle_without = %w(development test)

  # Install all dependencies. Note that this project actually includes the
  # helix_web_services_client code 'locally' in the Gemfile.
  # bundle "install --without #{bundle_without.join(" ")} --path=#{install_dir}/embedded/service/gem --jobs #{workers}", :env => env
  bundle 'install', :env => env

  rake 'build', :env => env

  gem "install #{project_dir}/pkg/helix_web_services_client-*.gem --no-rdoc --no-ri", :env => env

  sync project_dir, "#{install_dir}/embedded/service/helix_web_services_client", exclude: ["work", ".idea", "pkg"]
end
